CREATE TABLE Login (
    userID INTEGER PRIMARY KEY AUTO_INCREMENT,
    correo VARCHAR(64),
    hash VARBINARY(255),
    UNIQUE(correo)
);

CREATE TABLE Miembro (
  userID INTEGER,
  nombre TINYTEXT,
  organizacion TINYTEXT,
  puesto TINYTEXT,
  urbanizacion TINYTEXT,
  calle TINYTEXT,
  pueblo VARCHAR(32),
  cpostal CHAR(5),
  telefono CHAR(14),
  membresia VARCHAR(32),
  vigencia DATE,
  horasTrabajadas INTEGER,
  FOREIGN KEY (userID) REFERENCES Login(userID) ON DELETE CASCADE
);

CREATE TABLE Token (
  userID INTEGER PRIMARY KEY,
  token CHAR(32),
  FOREIGN KEY (userID) REFERENCES Login(userID) ON DELETE CASCADE
);
